<?php

namespace Ecommpay\SimplePay\Observer;

use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Magento\Sales\Model\Order\Creditmemo;
use Magento\Sales\Model\Order\Payment;
use Ecommpay\SimplePay\Model\Method as EcommpayPaymentMethod;

class AfterRefund implements ObserverInterface
{

    /**
     * @param Observer $observer
     */
    public function execute(Observer $observer)
    {
        die('jopa refund after action!');
        $eventData = $observer->getData();
        /** @var Payment $payment */
        $payment = $eventData['payment'];
        /** @var Creditmemo $creditMemo */
        $creditMemo = $eventData['creditMemo'];

        $paymentMethod = $payment->getMethodInstance();
        if (!$paymentMethod instanceof EcommpayPaymentMethod) {
            return;
        }

        if ($payment->getOrder()->getTotalRefunded() < $payment->getOrder()->getGrandTotal()) {
            $order = $payment->getOrder();
            $order->setStatus('partial_refund');
            $order->setState(\Magento\Sales\Model\Order::STATE_COMPLETE);
            $order->save();
            return;
        }
    }
}
